###################
## AppFrammework ##
###################
%package sub1-domain_CSAPI-Applications
Summary:	Applications Group for TizenFX C#
Suggests:	%{name}-sub2-domain_CSAPI-Applications-Alarm
Suggests:	%{name}-sub2-domain_CSAPI-Applications-Badge
Suggests:	%{name}-sub2-domain_CSAPI-Applications-Common
Suggests:	%{name}-sub2-domain_CSAPI-Applications-ComponentBased
Suggests:	%{name}-sub2-domain_CSAPI-Applications-DataControl
Suggests:	%{name}-sub2-domain_CSAPI-Applications-EventManager
Suggests:	%{name}-sub2-domain_CSAPI-Applications-MessagePort
Suggests:	%{name}-sub2-domain_CSAPI-Applications-Notification
Suggests: 	%{name}-sub2-domain_CSAPI-Applications-NotificationEventListener
Suggests:	%{name}-sub2-domain_CSAPI-Applications-PackageManager
Suggests: 	%{name}-sub2-domain_CSAPI-Applications-Preference
Suggests:	%{name}-sub2-domain_CSAPI-Applications-RemoteView
Suggests:	%{name}-sub2-domain_CSAPI-Applications-Service
Suggests:	%{name}-sub2-domain_CSAPI-Applications-Shortcut
Suggests:	%{name}-sub2-domain_CSAPI-Applications-ToastMessage
Suggests:	%{name}-sub2-domain_CSAPI-Applications-UI
Suggests:	%{name}-sub2-domain_CSAPI-Applications-WidgetApplication
Suggests:	%{name}-sub2-domain_CSAPI-Applications-WidgetControl
%description sub1-domain_CSAPI-Applications
Applications Group for TizenFX C#
%files sub1-domain_CSAPI-Applications

%package sub2-domain_CSAPI-Applications-Alarm
Summary:	Tizen.Applications.Alarm
Requires:	%{name}-sub2-domain_API-AppFramework-Alarm_API
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
Requires:	%{name}-sub2-domain_CSAPI-Applications-Notification
%description sub2-domain_CSAPI-Applications-Alarm
TizenFX C# API for Alarm
%files sub2-domain_CSAPI-Applications-Alarm

%package sub2-domain_CSAPI-Applications-Badge
Summary:	Tizen.Applications.Badge
Requires:	%{name}-sub2-domain_API-AppFramework-Badge_API
%description sub2-domain_CSAPI-Applications-Badge
TizenFX C# API for Badge
%files sub2-domain_CSAPI-Applications-Badge

%package sub2-domain_CSAPI-Applications-Common
Summary:	Tizen.Applications.Common
Requires:	%{name}-sub2-domain_API-AppFramework-Event_API
Requires:	%{name}-sub2-domain_API-AppFramework-RPC_Port_API
Requires:	librua
Requires:	libicu
%description sub2-domain_CSAPI-Applications-Common
TizenFX C# API for Common
%files sub2-domain_CSAPI-Applications-Common

%package sub2-domain_CSAPI-Applications-ComponentBased
Summary:	Tizen.Applications.ComponentBased
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_Component_Based_App_Model
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-ComponentBased
TizenFX C# API for ComponentBased
%files sub2-domain_CSAPI-Applications-ComponentBased

%package sub2-domain_CSAPI-Applications-DataControl
Summary:	Tizen.Applications.DataControl
Requires:	%{name}-sub2-domain_API-AppFramework-Data_Control_API
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-DataControl
TizenFX C# API for DataControl
%files sub2-domain_CSAPI-Applications-DataControl

%package sub2-domain_CSAPI-Applications-EventManager
Summary:	Tizen.Applications.EventManager
Requires:	%{name}-sub2-domain_API-AppFramework-Event_API
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-EventManager
TizenFX C# API for EventManager
%files sub2-domain_CSAPI-Applications-EventManager

%package sub2-domain_CSAPI-Applications-MessagePort
Summary:	Tizen.Applications.MessagePort
Requires:	%{name}-sub2-domain_API-AppFramework-Message_Port_API
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-MessagePort
TizenFX C# API for MessagePort
%files sub2-domain_CSAPI-Applications-MessagePort

%package sub2-domain_CSAPI-Applications-Notification
Summary:	Tizen.Applications.Notification
Requires:	%{name}-sub2-domain_API-AppFramework-Notification_API
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-Notification
TizenFX C# API for Notification
%files sub2-domain_CSAPI-Applications-Notification

%package sub2-domain_CSAPI-Applications-NotificationEventListener
Summary:	Tizen.Applications.NotificationEventListener
Requires:	%{name}-sub2-domain_API-AppFramework-Notification_API
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-NotificationEventListener
TizenFX C# API for NotificationEventListener
%files sub2-domain_CSAPI-Applications-NotificationEventListener

%package sub2-domain_CSAPI-Applications-PackageManager
Summary:	Tizen.Applications.PackageManager
Requires:	%{name}-sub2-domain_API-AppFramework-TPK_Installation
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-PackageManager
TizenFX C# API for PackageManager
%files sub2-domain_CSAPI-Applications-PackageManager

%package sub2-domain_CSAPI-Applications-Preference
Summary:	Tizen.Applications.Preference
%description sub2-domain_CSAPI-Applications-Preference
TizenFX C# API for Preference
%files sub2-domain_CSAPI-Applications-Preference

%package sub2-domain_CSAPI-Applications-RemoteView
Summary:	Tizen.Applications.RemoteView
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_Widget_App_Model
%description sub2-domain_CSAPI-Applications-RemoteView
TizenFX C# API for RemoteView
%files sub2-domain_CSAPI-Applications-RemoteView

%package sub2-domain_CSAPI-Applications-Service
Summary:	Tizen.Applications.Service
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-Service
TizenFX C# API for Service
%files sub2-domain_CSAPI-Applications-Service

%package sub2-domain_CSAPI-Applications-Shortcut
Summary:	Tizen.Applications.Shortcut
Requires:	%{name}-sub2-domain_API-AppFramework-Shortcut_API
%description sub2-domain_CSAPI-Applications-Shortcut
TizenFX C# API for Shortcut
%files sub2-domain_CSAPI-Applications-Shortcut

%package sub2-domain_CSAPI-Applications-ToastMessage
Summary:	Tizen.Applications.ToastMessage
Requires:	%{name}-sub2-domain_API-AppFramework-Notification_API
%description sub2-domain_CSAPI-Applications-ToastMessage
TizenFX C# API for ToastMessage
%files sub2-domain_CSAPI-Applications-ToastMessage

%package sub2-domain_CSAPI-Applications-UI
Summary:	Tizen.Applications.UI
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_UI_app_model
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-UI
TizenFX C# API for UI
%files sub2-domain_CSAPI-Applications-UI

%package sub2-domain_CSAPI-Applications-WidgetApplication
Summary:	Tizen.Applications.WidgetApplication
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_Widget_App_Model
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-WidgetApplication
TizenFX C# API for WidgetApplication
%files sub2-domain_CSAPI-Applications-WidgetApplication

%package sub2-domain_CSAPI-Applications-WidgetControl
Summary:	Tizen.Applications.WidgetControl
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_Widget_App_Model
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
%description sub2-domain_CSAPI-Applications-WidgetControl
TizenFX C# API for WidgetControl
%files sub2-domain_CSAPI-Applications-WidgetControl
